Package com.smartgwt.client.bean.types

# Class JsoValueType<ValueType extends JavaScriptObject>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.OtherValueType<ValueType>
com.smartgwt.client.bean.types.JsoValueType<ValueType>

public class JsoValueType<ValueType extends JavaScriptObject> extends OtherValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `JsoValueType(Class<ValueType> valueType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `ValueType`
  `convertFrom(Object value)`
  `static <T extends JavaScriptObject>
  void`
  `registerJsoValueType(Class<T> klass)`

  ### Methods inherited from class com.smartgwt.client.bean.types.OtherValueType

  `getValueType, isAssignableFrom, registerOtherValueType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JsoValueType

    protected JsoValueType(Class<ValueType> valueType)

- ## Method Details

  - ### registerJsoValueType

    public static <T extends JavaScriptObject> void registerJsoValueType(Class<T> klass)

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `OtherValueType<ValueType extends JavaScriptObject>`

  - ### convertFrom

    public ValueType convertFrom(Object value)
    Overrides:
      `convertFrom` in class `OtherValueType<ValueType extends JavaScriptObject>`